<?xml version="1.0"?>
<!DOCTYPE hibernate-mapping PUBLIC "-//Hibernate/Hibernate Mapping DTD 3.0//EN"
"http://www.hibernate.org/dtd/hibernate-mapping-3.0.dtd">


<hibernate-mapping default-lazy="false" default-cascade="all">
    
    <class entity-name="facility" table="FACILITY" lazy="false">
        <id type="java.lang.Long" name="id">
            <column name="FACILITY_ID"/>
            <generator class="sequence" >
				<param name="sequence">facility_seq_id</param>
			</generator>
        </id>
		<property name="stationNumber" column="STATION_NO" type="java.lang.String" node="location"/>
    </class>

</hibernate-mapping>
